unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms,
  DSComp, StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Timer: TDSTimer;
    Generator: TDSGenerator;
    Terminator: TDSTerminator;
    Device: TDSOneChannelDevice;
    Panel1: TPanel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TrackBar1: TTrackBar;
    Panel2: TPanel;
    Button3: TButton;
    Button4: TButton;
    Memo: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TimerFinish(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Timer.Clear;
  Timer.Start;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Timer.Pause;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  Timer.TimeScale:=TrackBar1.Position;
end;

procedure TForm1.TimerFinish(Sender: TObject);
begin
  Timer.Report(Memo.Lines);
end;

procedure TForm1.TimerTimer(Sender: TObject);
begin
  Timer.Events.Show(Memo.Lines);
end;

end.
