unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DSComp, StdCtrls, ExtCtrls, ComCtrls, DB, DBTables, Spin;

type
  TForm1 = class(TForm)
    Bevel1: TBevel;
    Button1: TButton;
    Memo: TMemo;
    Timer: TDSTimer;
    Button2: TButton;
    Generator1: TDSGenerator;
    Device: TDSQueueOneChannelDevice;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    Generator2: TDSGenerator;
    DSTerminator1: TDSTerminator;
    procedure Button1Click(Sender: TObject);
    procedure TimerStop(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure DeviceGetInterval(Sender: TObject; Transact: TTransact;
      var Interval: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Timer.Clear;
  Timer.Start;
end;

procedure TForm1.TimerStop(Sender: TObject);
begin
  Timer.Report(Memo.Lines);
end;

procedure TForm1.TimerTimer(Sender: TObject);
begin
  Timer.Events.Show(Memo.Lines);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Timer.Pause;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  Timer.TimeScale:=TrackBar1.Position;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  Generator2.Priority:=SpinEdit1.Value;
end;

procedure TForm1.DeviceGetInterval(Sender: TObject; Transact: TTransact;
  var Interval: Integer);
begin
  if Transact.Parent=Generator1 then
    Interval:=IRandom(21,39)
  else
    Interval:=IRandom(4,9);
end;

end.
